Skip to main content
GET
List mandate approvals

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

mandateId
string
required

The unique identifier of the mandate. The ID of the mandate, a UUID prefixed by mandate_.

Pattern: ^mandate_[a-f0-9\-]{36}$
Example:

"mandate_82c879c1-84e1-44ed-a8c2-1ac239cf09ad"

Query Parameters

pageSize
integer
default:20

The number of resources to return per page.

pageToken
string

The token for the next page of resources, if any.

Response

Successfully listed mandate approvals.

approvals
object[]
required

The list of approvals for the mandate, most recent first.

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="